
import { QueryTypes, Sequelize } from "sequelize";
import envVars from "../config";

const showTables = async (sequelizeConnection: Sequelize) => {
  //list all tables of the actual database
  sequelizeConnection
    .query(
      `SELECT TABLE_NAME FROM information_schema.tables WHERE TABLE_TYPE = 'BASE TABLE' AND TABLE_CATALOG='${envVars.DB_NAME}' AND TABLE_SCHEMA='public';`,
      { type: QueryTypes.SELECT }
    )
    .then((res) => {
      //------------------------------------------------then
      console.log(`-----TABELS IN ${envVars.DB_NAME}------\n`, res,"\n-----------------------------------\n");
    });
};

export default showTables;
